CMSIS-DSP: arm_cfft_radix4_instance_f32 Struct Reference

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_radix4_instance_f32 Struct Reference

Instance structure for the floating-point CFFT/CIFFT function. More...

## Data Fields
uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
float32_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor
float32_t | onebyfftLen

## Description

Examples:
  arm_convolution_example_f32.c.

## Field Documentation

uint8_t arm_cfft_radix4_instance_f32::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Referenced by arm_cfft_radix4_f32(), and arm_cfft_radix4_init_f32().

uint16_t arm_cfft_radix4_instance_f32::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().

uint16_t arm_cfft_radix4_instance_f32::fftLen

length of the FFT.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().

uint8_t arm_cfft_radix4_instance_f32::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Referenced by arm_cfft_radix4_f32(), and arm_cfft_radix4_init_f32().

float32_t arm_cfft_radix4_instance_f32::onebyfftLen

value of 1/fftLen.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().

uint16_t* arm_cfft_radix4_instance_f32::pBitRevTable

points to the bit reversal table.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().

float32_t* arm_cfft_radix4_instance_f32::pTwiddle

points to the Twiddle factor table.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().

uint16_t arm_cfft_radix4_instance_f32::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_cfft_radix4_f32(), arm_cfft_radix4_init_f32(), and arm_rfft_f32().